#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package};

public enum SerializationMethod
{
	JSON
	{
		@Override
		public String getExt()
		{
			return "json";
		}
	},
	JAVA
	{
		@Override
		public String getExt()
		{
			return "bin";
		}
	},
	XML
	{
		@Override
		public String getExt()
		{
			return "xml";
		}
	};
	
	public abstract String getExt();
}
